#pragma once
#include "Mod.h"

class IRC : public Mod {
public:
	bool toggle = false;

	IRC() : Mod(_("IRC"), _("Talk with other valkyrie user."), Category::OTHER) {
		settings.push_back(new Setting{ _("Toggle"), &toggle, 0, 0, 0, {}, true });

		enabled = false;
	}

private:
	SOCKET clientsocket = INVALID_SOCKET;

	bool otherusercount = false;
	bool connected = false;

	auto sendMessage(std::string message) -> void;
	virtual auto onClient2() -> void;
	virtual auto onEnabled() -> void;
	virtual auto onDisabled() -> void;
	virtual auto onPacketSendAfter(Packet* packet, bool* cancel) -> void override;
};
